# Create password token

Create new password token for account activation or password reset. The response contains an URL directing the user to a web frontend where the user can set or reset the password. The URL consists of base part and token. The base part is subject to static configuration and may contain an individual path component for each customer

Endpoint: POST /{CUSTOMER}/{USER}/token
Security: basicAuth

## Path parameters:

  - `CUSTOMER` (string, required)

  - `USER` (string, required)

## Query parameters:

  - `mailNotification` (string)
    If set to `true` or `1`, an email notification is sent to the end user automatically

## Response 201 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `token` (string, required)

  - `expiryTimestamp` (string, required)

  - `url` (string, required)

## Response 400 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `status` (integer, required)
    Example: 403

  - `message` (string, required)
    Example: Forbidden

## Response 401 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `status` (integer, required)
    Example: 403

  - `message` (string, required)
    Example: Forbidden

## Response 403 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `status` (integer, required)
    Example: 403

  - `message` (string, required)
    Example: Forbidden

## Response 404 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `status` (integer, required)
    Example: 403

  - `message` (string, required)
    Example: Forbidden

## Response 503 fields (application/json):

  - `id` (string, required)

  - `timestamp` (string, required)

  - `status` (integer, required)
    Example: 403

  - `message` (string, required)
    Example: Forbidden

